---
dependency:
  name: galaxy
driver:
  name: delegated
  options:
    managed: true
    login_cmd_template: 'ssh {instance} -F ~/.ssh/config'
    ansible_connection_options:
      ansible_connection: local
platforms:
  - name: localhost
  - name: k8snode1
  - name: k8snode2
  - name: k8snode3
  - name: k8snode4
provisioner:
  name: ansible
  config_options:
    defaults:
      gathering: smart
      fact_caching: jsonfile
      fact_caching_connection: ~/Downloads/facts_cache
      fact_caching_timeout: 7200
      gather_timeout: 30
  playbooks:
    create: create.yml
    destroy: destroy.yml
    prepare: prepare.yml

verifier:
  name: ansible
lint: |
  yamllint .
  ansible-lint
